#ifndef KBTIM_SETTING_H
#define KBTIM_SETTING_H

#include "kbtim_SettingTimidity.h"

class KbTimSetting
{
    KbSettingTimidity m_Setting;
    char m_szIniFile[MAX_PATH*2];
//    
    FILETIME m_ftIni;
    FILETIME m_ftCfg;
    HANDLE   m_hNotification;

    void __fastcall GetIniCfgFileTime(FILETIME* pftIni, FILETIME* pftCfg);
public:
    const char* __fastcall GetIniFileName(void)const{return m_szIniFile;}
    const char* __fastcall GetCfgFileName(void)const{return m_Setting.ConfigFile;}
    BOOL __fastcall LoadIniFile(const char *cszIniFile);
    void __fastcall Close(void);
    void __fastcall Apply(void);
    BOOL __fastcall IsUpdated(void);
    KbTimSetting(void);
    ~KbTimSetting(void);
};

#endif
